---
title: GitHub Issues
shortTitle: GitHub Issues
intro: 'Learn how you can use {% data variables.product.prodname_github_issues %} to plan and track your work.'
introLinks:
  overview: /issues/tracking-your-work-with-issues/creating-issues/about-issues
  quickstart: /issues/tracking-your-work-with-issues/quickstart
featuredLinks:
  guides:
    - /issues/tracking-your-work-with-issues/creating-issues/creating-an-issue
    - /issues/trying-out-the-new-projects-experience/quickstart
    - /issues/trying-out-the-new-projects-experience/best-practices-for-managing-projects
    - /communities/using-templates-to-encourage-useful-issues-and-pull-requests/configuring-issue-templates-for-your-repository
    - /issues/tracking-your-work-with-issues/planning-and-tracking-work-for-your-team-or-project
  guideCards:
    - /issues/trying-out-the-new-projects-experience/automating-projects
    - /issues/tracking-your-work-with-issues/creating-issues/linking-a-pull-request-to-an-issue
    - '{% ifversion ghes or ghae %}/issues/organizing-your-work-with-project-boards/managing-project-boards/configuring-automation-for-project-boards{% endif %}'
    - /issues/trying-out-the-new-projects-experience/using-the-api-to-manage-projects
  popular:
    - /issues/tracking-your-work-with-issues/creating-issues/about-issues
    - /issues/trying-out-the-new-projects-experience/about-projects
    - /issues/tracking-your-work-with-issues/creating-issues/about-task-lists
    - /communities/using-templates-to-encourage-useful-issues-and-pull-requests/about-issue-and-pull-request-templates
    - /issues/using-labels-and-milestones-to-track-work/managing-labels
    - /github/managing-your-work-on-github/viewing-all-of-your-issues-and-pull-requests
    - '{% ifversion ghes or ghae %}/issues/organizing-your-work-with-project-boards/managing-project-boards/about-project-boards{% endif %}'
  videos:
    - title: "Planning at scale with Issues – Mario Rodriguez"
      href: 'https://www.youtube-nocookie.com/embed/ha1KHcPMAEk'
    - title: "Planning at GitHub (Projects + Issues) – Matt Butler"
      href: 'https://www.youtube-nocookie.com/embed/HwpVvDURHKw'
    - title: "Issue Forms for open source – Luke Hefson"
      href: 'https://www.youtube-nocookie.com/embed/2Yh8ueUE0oY'
  videosHeading: GitHub Universe 2021 videos
product_video: 'https://www.youtube-nocookie.com/embed/uiaLWluYJsA'
layout: product-landing
beta_product: false
versions:
  fpt: '*'
  ghes: '*'
  ghae: '*'
  ghec: '*'
children:
  - /tracking-your-work-with-issues
  - /trying-out-the-new-projects-experience
  - /organizing-your-work-with-project-boards
  - /using-labels-and-milestones-to-track-work
  - /guides
redirect_from:
  - /github/managing-your-work-on-github/managing-your-work-with-issues-and-pull-requests
  - /github/managing-your-work-on-github/managing-your-work-with-issues
  - /github/managing-your-work-on-github
  - /categories/100/articles
  - /categories/managing-projects
  - /categories/managing-projects-on-github
  - /categories/managing-your-work-on-github
  - /about-issues
  - /creating-an-issue
  - /deleting-an-issue
  - /opening-an-issue-from-a-comment
  - /opening-an-issue-from-code
  - /transferring-an-issue-to-another-repository
  - /pinning-an-issue-to-your-repository
  - /creating-a-permanent-link-to-a-code-snippet
  - /managing-labels
  - /about-task-lists
  - /about-automation-for-issues-and-pull-requests-with-query-parameters
  - /file-attachments-on-issues-and-pull-requests
  - /assigning-issues-and-pull-requests-to-other-github-users
  - /viewing-all-of-your-issues-and-pull-requests
  - /disabling-issues
  - /linking-a-pull-request-to-an-issue
  - /about-duplicate-issues-and-pull-requests
---

